// Written by TeTeT for Nimitz in arma 3
ttt_fnc_switchMove = {
  params ["_unit", "_anim"];
  _unit switchMove _anim;
  _unit playMoveNow _anim;
};

ttt_fnc_useMedicalBed = {
	params ["_target", "_caller", "_actionId", "_arguments"];

	if (damage _caller < 0.01) exitWith {
		systemChat "You are not injured";
	};

	[_caller, "AinjPpneMstpSnonWnonDnon"] remoteExec ["ttt_fnc_switchMove", 0];
	_caller setVariable ["ttt_nimitz_pos", getPosASL _caller];
	private _pos = _target modelToWorld (_target selectionPosition "MedBed1");
	_pos = [_pos # 0, _pos # 1, 5.4];
	_caller setPosASL _pos;
	_caller setDir (getDir _target - 90);
	_caller setPosASL _pos;

	("ttt_nimitz_medic" call BIS_fnc_rscLayer) cutText ["Medical Treatment", "PLAIN DOWN"];
	// "ttt_nimitz_medic" cutRsc ["Medical Treatment", "PLAIN"];

	[medic, "Acts_Accessing_Computer_in"] remoteExec ["ttt_fnc_switchMove", 0];
	sleep 0.8;
	[medic, "Acts_Accessing_Computer_Loop"] remoteExec ["ttt_fnc_switchMove", 0];
	sleep 10;
	[medic, "Acts_Accessing_Computer_Out_Short"] remoteExec ["ttt_fnc_switchMove", 0];
	sleep 0.9;
	_caller setDamage 0;
	_caller setPosASL (_caller getVariable "ttt_nimitz_pos");
	[_caller, ""] remoteExec ["ttt_fnc_switchMove", 0];
	("ttt_nimitz_medic" call BIS_fnc_rscLayer) cutText ["You are healed", "PLAIN DOWN"];
};

private _medicPos = (nimitz getVariable "jdg_carrier_second_deck_4") modelToWorld ((nimitz getVariable "jdg_carrier_second_deck_4") selectionPosition "MedBed1");
_medicPos = _medicPos getPos [1, getDir nimitz - 180];
_medicPos = [_medicPos # 0, _medicPos # 1, 3.7];
medic = "B_medic_F" createVehicle _medicPos;
removeAllWeapons medic;
removeHeadgear medic;
medic unassignItem "NVGoggles"; medic removeItem "NVGoggles";
removeBackpack medic;
medic setVariable ["ttt_nimitz_medicPos", _medicPos];
medic setPosASL _medicPos ;
[medic, "Acts_Accessing_Computer_Out_Short"] remoteExec ["ttt_fnc_switchMove", 0];

(nimitz getVariable "jdg_carrier_second_deck_4") addAction [
	"Use Medical Facility",
	{hint "using bed"; _this spawn ttt_fnc_useMedicalBed; },
	nil,
	1,
	false,
	false,
	"",
	"damage _this > 0.01",
	2,
	false,
	"",
	"MedStation1"
];
